package jalview.analysis;

public enum TreeAlgorithm
{
  NEIGHBOUR_JOINING("NJ", "Neighbour Joining"),
  AVERAGE_DISTANCE("AV", "Average Distance (UPGMA)"),
  MAXIMUM_PARSIMONY("MP", ("Maximum Parsimony")),
  MAXIMUM_LIKELIHOOD("ML", "Maximum Likelihood"),
  BAYESIAN("BY", "Bayesian Inference");

  private final String abbreviation;

  private final String name;

  TreeAlgorithm(String abbreviatedName, String fullName)
  {
    this.abbreviation = abbreviatedName;
    this.name = fullName;
  }

  public String getAbbreviation()
  {
    return abbreviation;
  }

  public String getName()
  {
    return name;
  }

}
